#include <cdevData.h>
#include "equal.h"

char * str[3] =
	{
	"This is the first string",
	"This is the seconds string",
	"This is the third string"
	};
	
void main ()
{
char * binary;
size_t binaryLen;

cdevData data, data2;
data.insert("value", str, 1);
data.insert("status", str[0]);
data.insert("severity", str[1]);
data.asciiDump();
data.xdrExport(&binary, &binaryLen);
data2.xdrImport(binary, binaryLen);
data2.asciiDump();
}
